gi-xlib-2.0.2: xlib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Xlib.Structs.XVisualInfo

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype XVisualInfo = XVisualInfo (ManagedPtr XVisualInfo)
- noXVisualInfo :: Maybe XVisualInfo

# Exported types

newtype XVisualInfo Source #

Memory-managed wrapper type.

Constructors

XVisualInfo (ManagedPtr XVisualInfo) |

Instances

WrappedPtr XVisualInfo Source # |
Instance details Defined in GI.Xlib.Structs.XVisualInfo Methods wrappedPtrCalloc :: IO (Ptr XVisualInfo) Source # wrappedPtrCopy :: XVisualInfo -> IO XVisualInfo Source # wrappedPtrFree :: Maybe (FunPtr (Ptr XVisualInfo -> IO ())) Source #

noXVisualInfo :: Maybe XVisualInfo Source #

A convenience alias for `Nothing` :: `Maybe` `XVisualInfo`.